{% extends "base.html" %}

{% block title %}
    {{ project_object.name }}
{% endblock title %}
{% block content %}
    <main>
        <div class="project-detail">
            <h1>{{ project_object.name }}</h1>
            <p>{{ project_object.description }}</p>
            <h2>Tasks</h2>
            <p>
                <a href="{% url "create_task" %}">+ Create a new task</a>
            </p>
            {% if project_object.tasks.all|length > 0 %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Complete?</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in project_object.tasks.all %}
                            <tr>
                                <td><a href="{% url "show_task" task.id %}">{{ task.name }}</a></td>
                                <td>{{ task.assignee }}</td>
                                <td>{{ task.start_date|date:"m/d/y h:i A" }}</td>
                                <td>{{ task.due_date|date:"m/d/y h:i A" }}</td>
                                <td>{{ task.is_complete|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
